Subject: bug#33771: 27.0.50; Error building Harfbuzz branch on Debian testing

From: Philipp Stephani <[email-masked]>
Date: Mon, 17 Dec 2018 18:20:28 +0100

Am Mo., 17. Dez. 2018 um 18:11 Uhr schrieb Eli Zaretskii <[email-masked]>:
>
> > From: Mike Kupfer <[email-masked]>
> > cc: Philipp <[email-masked]>, [email-masked],
> >         [email-masked]
> > Date: Sun, 16 Dec 2018 21:18:04 -0800
> >
> > Eli Zaretskii wrote:
> >
> > > Does the below fix the problem?
> >
> > It helps, thanks.  I needed to make a similar change in a few other
> > places, at least for building on Solaris.  I've attached the patch I
> > ended up with.
>
> Thanks, pushed.

Thanks, it seems to build now without errors.
I still get a few warnings though:

  CC       ftfont.o
ftfont.c:2819:1: warning: ‘ftfont_shape_by_hb’ defined but not used
[-Wunused-function]
 ftfont_shape_by_hb (Lisp_Object lgstring, FT_Face ft_face, hb_font_t *hb_font,
 ^~~~~~~~~~~~~~~~~~
ftfont.c:482:1: warning: ‘ftfont_get_hb_font’ defined but not used
[-Wunused-function]
 ftfont_get_hb_font (struct ftfont_info *ftfont_info)
 ^~~~~~~~~~~~~~~~~~